> ## Documentation Index
> Fetch the complete documentation index at: https://docs.apexscore.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Download Dataset

> Download the computed, processed dataset as a CSV file.



## OpenAPI

````yaml api-reference/openapi.yaml get /api/v1/reports/{id}/download_dataset/
openapi: 3.0.3
info:
  title: API v1 Public
  version: 1.4.2
  description: >+


    Apex API functions and available endpoints.


    To authenticate, use the `Token` value from the `auth/login` endpoint in the
    Authorize dialog.

  license:
    name: Proprietary to Emotive Technologies Inc.
servers:
  - url: https://api.main.apexscore.ai
security: []
paths:
  /api/v1/reports/{id}/download_dataset/:
    get:
      tags:
        - Reports
      summary: Download Dataset
      description: Download the computed, processed dataset as a CSV file.
      operationId: reports_download_dataset_retrieve
      parameters:
        - in: path
          name: id
          schema:
            type: string
            format: uuid
          description: A UUID string identifying this report.
          required: true
        - in: query
          name: mask_text_violations
          schema:
            type: boolean
            default: true
          description: Whether or not to mask text violations in the resulting CSV.
        - in: query
          name: omit_columns
          schema:
            type: string
            default: ''
          description: Comma-separated list of column names to omit from the resulting CSV.
      responses:
        '200':
          description: No response body
      security:
        - tokenAuth: []
components:
  securitySchemes:
    tokenAuth:
      type: http
      scheme: bearer

````